<?php
/*
  ===============================================================

  inGenio X
  http://ingenio.area421.com

  Created by 
  Julian Moreno Hidalgo (Software developer)
  Jesus Moreno Hidalgo (Communication's tree)

  inGenio X is a free software licensed under CC-GNU GPL

  ===============================================================
*/
?>
<?php
	if (!defined("IGNX")) { die("Attempt..."); }

function var_subcanales($canID)
{
	$q = myquery("SELECT * FROM ".CANALES." WHERE parent='".$canID."' ORDER BY orden ASC, nombre, nombre_1, nombre_2, nombre_3, nombre_4, nombre_5","[inc_sub_canales]");
	$nom_can = array();
	while ($row = myfetch($q))
	{
					
		if (IDIOMA_ACTUAL == 0)
		{		
			$row["nombre"] = $row["nombre"] ;
			$row["nombre_sef"] = SEFcompleURL( $row["nombre"] );
			$row["titulo"] = salida_popups( $row["nombre"] );
			
		} else if (IDIOMA_ACTUAL == 1) {
		
			$row["nombre"] = $row["nombre_1"] ;
			$row["nombre_sef"] = SEFcompleURL( $row["nombre_1"] );
			$row["titulo"] = salida_popups( $row["nombre_1"] );
		
		} else if (IDIOMA_ACTUAL == 2) {
		
			$row["nombre"] = $row["nombre_2"] ;
			$row["nombre_sef"] = SEFcompleURL( $row["nombre_2"] );
			$row["titulo"] = salida_popups( $row["nombre_2"] );
		
		} else if (IDIOMA_ACTUAL == 3) {
		
			$row["nombre"] = $row["nombre_3"] ;
			$row["nombre_sef"] = SEFcompleURL( $row["nombre_3"] );
			$row["titulo"] = salida_popups( $row["nombre_3"] );
		
		} else if (IDIOMA_ACTUAL == 4) {
		
			$row["nombre"] = $row["nombre_4"] ;
			$row["nombre_sef"] = SEFcompleURL( $row["nombre_4"] );
			$row["titulo"] = salida_popups( $row["nombre_4"] );
		
		} else if (IDIOMA_ACTUAL == 5) {
		
			$row["nombre"] = $row["nombre_5"] ;
			$row["nombre_sef"] = SEFcompleURL( $row["nombre_5"] );
			$row["titulo"] = salida_popups( $row["nombre_5"] );
		
		}

			$nom_can[] = $row;
				
	}
	return $nom_can;

}

	if ($rowc["canID"])
	{

		$salida_subcanales = var_subcanales($rowc["canID"]);
	
		// Smarty
		$smarty->assign("salida_subcanales", $salida_subcanales);
	
	} else {
	
		// Smarty
		$smarty->assign("salida_subcanales", "");
	
	
	}

	
	
?>
